org.apache.fop.fo

## Class StringCharIterator

- java.lang.Object
- - org.apache.fop.fo.CharIterator
  - - org.apache.fop.fo.StringCharIterator

- All Implemented Interfaces:
    java.lang.Cloneable, java.util.Iterator

      public class StringCharIterator
      extends CharIterator

  Class providing an (FO flavored) char iterator for a string.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringCharIterator(java.lang.String s)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `char` | `nextChar()`

    - ### Methods inherited from class org.apache.fop.fo.CharIterator

      `clone, next, remove, replaceChar`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### StringCharIterator

          public StringCharIterator(java.lang.String s)

      Constructor
      Parameters:
        `c` - the character that this iterator should iterate.

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Description copied from class: `CharIterator`
      Specified by:
        `hasNext` in interface `java.util.Iterator`
      Specified by:
        `hasNext` in class `CharIterator`
      Returns:
        true if there is another element in the collection over which to iterate (since this iterator only handles one character, this will return false if it is past that character).

    - #### nextChar

          public char nextChar()
                        throws java.util.NoSuchElementException

      Specified by:
        `nextChar` in class `CharIterator`
      Returns:
        the next character, if there is one (since there is only one character over which to iterate, it must be the first character).
      Throws:
        `java.util.NoSuchElementException` - if past the first character

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.